GOPHERINDEX(8)

NAME
gopherindex - make full text indexes inside of gopher

SYNOPSIS
gopherindex [-v ] [-t next|wais] [-N index_name] [data_directory ]

DESCRIPTION
The gopherindex program is used to make full-text indexes for a Gopher server. It uses the underlying indexing mechanism, either WAIS, or the NeXT Digital Librarian to create the indexes.

Gopherindex uses waisindex to generate indexes for sites using WAIS. For sites using NeXT indexing, gopherindex uses ixBuild. These programs must be in the current path for this script to work.

-v
    Specifies verbose output. Otherwise only error messages are output.
-N
    specifies the name of the Index as it should appear to gopher users. Remember to quote your name if it uses spaces.
-t
    specifies the type of indexing to use. This is only really useful if you are on a NeXT with both WAIS and NeXT indexing capabilities. Specify wais for wais indices. Specify next for NeXT indices.
-wais
    Specifies extra arguments to be passed to the waisindex command. These options will need to be quoted so they are not processed by the script. See the EXAMPLES section.

EXAMPLES

The following command indexes all of the files inside of /home/joeboy/gopher-data/courses with verbose output and makes a link name of Search CIS Short Courses .
     /usr/local/bin/gopherindex -v -N \
       "Search CIS Services Short Courses" \
       /home/joeboy/gopher-data/courses

The following command uses wais to all of the files in /home/joeboy/gopher-data/providers/bookstore with verbose output. The -wais -t dash specifies that waisindex should consider all of the files to have subdocuments separated by lines of dashes.
     /usr/local/bin/gopherindex -v -N \
       "Search Minnesota Bookcenter electronics inventory" \
       -wais "-t dash" \
       /home/joeboy/gopher-data/providers/bookstore

FILES
ixBuild Indexer for NeXT machines

waisindex Indexer for other machines